
QGIS Application - Bug report #11748

Oracle - Layer is not valid - won't open with both 3002 and 3006 geometries?

2014-11-26 03:25 PM - Bryan Hall

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/Oracle

Affected QGIS version:2.6.0 Regression?: No

Operating System: Windows 64 Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 19981

Description

I verified that all geometries in the table/col are valid. There are a small number of 3006 multiline geometries mixed in with the bulk of

3002 single line geometries, as well as null geometries. SQL trace shows the following is being executed:

SQL> SELECT srid FROM mdsys.all_sdo_geom_metadata WHERE owner='CVC' AND table_name='C_PATH_SEGMENT' AND

column_name='GEOMETRY_L';

      SRID

----------

      8307

SQL> SELECT DISTINCT t."GEOMETRY_L".sdo_gtype FROM "CVC"."C_PATH_SEGMENT" t WHERE rownum<=2;

GEOMETRY_L.SDO_GTYPE

--------------------

                3002

SQL> SELECT DISTINCT t."GEOMETRY_L".SDO_GTYPE FROM "CVC"."C_PATH_SEGMENT" t WHERE NOT

t."GEOMETRY_L" IS NULL;

GEOMETRY_L.SDO_GTYPE

--------------------

                3006

                3002

SQL> SELECT srid FROM mdsys.all_sdo_geom_metadata WHERE owner='CVC' AND table_name='C_PATH_SEGMENT' AND

column_name='GEOMETRY_L';

      SRID

----------

      8307

SQL> SELECT DISTINCT t."GEOMETRY_L".sdo_gtype FROM "CVC"."C_PATH_SEGMENT" t WHERE rownum<=2;

GEOMETRY_L.SDO_GTYPE

--------------------

                3002
SQL> SELECT DISTINCT t."GEOMETRY_L".SDO_GTYPE FROM "CVC"."C_PATH_SEGMENT" t WHERE NOT

t."GEOMETRY_L" IS NULL;

GEOMETRY_L.SDO_GTYPE

--------------------

                3006

                3002

History

#1 - 2015-06-04 02:14 PM - Jürgen Fischer

- Category changed from Data Provider to Data Provider/Oracle

#2 - 2017-05-01 01:07 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#3 - 2019-03-09 03:12 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
